petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATAIJCUSPARSE

MATMPIAIJCUSPARSE = "aijcusparse" = "mpiaijcusparse" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices can be in either Many brCSR, ELL, or Hybrid format. The ELL and HYB formats require CUDA 4.2 or later. Many brAll matrix calculations are performed on Nvidia GPUs using the CUSPARSE library. Many br

This matrix type is identical to MATSEQAIJCUSPARSE when constructed with a single process communicator, Many brand MATMPIAIJCUSPARSE otherwise. As a result, for single process communicators, Many brMatSeqAIJSetPreallocation is supported, and similarly MatMPIAIJSetPreallocation is supported Many brfor communicators controlling multiple processes. It is recommended that you call both of Many brthe above preallocation routines for simplicity. Many br

### Options Database Keys

| -mat_type mpiaijcusparse | - sets the matrix type to "mpiaijcusparse" during a call to MatSetFromOptions() Many br
| -mat_cusparse_storage_format csr | - sets the storage format of diagonal and off-diagonal matrices during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid). Many br
| -mat_cusparse_mult_diag_storage_format csr | - sets the storage format of diagonal matrix during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid). Many br
| -mat_cusparse_mult_offdiag_storage_format csr | - sets the storage format of off-diagonal matrix during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid). Many br

Many br

.seealso: MatCreateAIJCUSPARSE(), MATSEQAIJCUSPARSE, MatCreateSeqAIJCUSPARSE(), MatCUSPARSESetFormat(), MatCUSPARSEStorageFormat, MatCUSPARSEFormatOperation Many brM Many br

Level:beginner
Location:src/mat/impls/aij/mpi/mpicusparse/mpiaijcusparse.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages